package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagB31ECreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagB31ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagB31EValue = mt767Creator.getDateOfExpiryOfB();
        mt767Creator.set("31E", tagB31EValue);
    }
}

